package cn.superdesk.uniorder.dao.entity.accounting.score.customer;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class AccountingScoreCustomerExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public AccountingScoreCustomerExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    accounting_score_customer
     *
     * @mbg.generated Fri May 13 14:03:15 CST 2022
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIsNull() {
            addCriterion("accounting_order_sn is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIsNotNull() {
            addCriterion("accounting_order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnEqualTo(String value) {
            addCriterion("accounting_order_sn =", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotEqualTo(String value) {
            addCriterion("accounting_order_sn <>", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnGreaterThan(String value) {
            addCriterion("accounting_order_sn >", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn >=", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLessThan(String value) {
            addCriterion("accounting_order_sn <", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLessThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn <=", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLike(String value) {
            addCriterion("accounting_order_sn like", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotLike(String value) {
            addCriterion("accounting_order_sn not like", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIn(List<String> values) {
            addCriterion("accounting_order_sn in", values, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotIn(List<String> values) {
            addCriterion("accounting_order_sn not in", values, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnBetween(String value1, String value2) {
            addCriterion("accounting_order_sn between", value1, value2, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotBetween(String value1, String value2) {
            addCriterion("accounting_order_sn not between", value1, value2, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andServiceNoIsNull() {
            addCriterion("service_no is null");
            return (Criteria) this;
        }

        public Criteria andServiceNoIsNotNull() {
            addCriterion("service_no is not null");
            return (Criteria) this;
        }

        public Criteria andServiceNoEqualTo(String value) {
            addCriterion("service_no =", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotEqualTo(String value) {
            addCriterion("service_no <>", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoGreaterThan(String value) {
            addCriterion("service_no >", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoGreaterThanOrEqualTo(String value) {
            addCriterion("service_no >=", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLessThan(String value) {
            addCriterion("service_no <", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLessThanOrEqualTo(String value) {
            addCriterion("service_no <=", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoLike(String value) {
            addCriterion("service_no like", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotLike(String value) {
            addCriterion("service_no not like", value, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoIn(List<String> values) {
            addCriterion("service_no in", values, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotIn(List<String> values) {
            addCriterion("service_no not in", values, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoBetween(String value1, String value2) {
            addCriterion("service_no between", value1, value2, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andServiceNoNotBetween(String value1, String value2) {
            addCriterion("service_no not between", value1, value2, "serviceNo");
            return (Criteria) this;
        }

        public Criteria andSourceFromIsNull() {
            addCriterion("source_from is null");
            return (Criteria) this;
        }

        public Criteria andSourceFromIsNotNull() {
            addCriterion("source_from is not null");
            return (Criteria) this;
        }

        public Criteria andSourceFromEqualTo(String value) {
            addCriterion("source_from =", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromNotEqualTo(String value) {
            addCriterion("source_from <>", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromGreaterThan(String value) {
            addCriterion("source_from >", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromGreaterThanOrEqualTo(String value) {
            addCriterion("source_from >=", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromLessThan(String value) {
            addCriterion("source_from <", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromLessThanOrEqualTo(String value) {
            addCriterion("source_from <=", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromLike(String value) {
            addCriterion("source_from like", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromNotLike(String value) {
            addCriterion("source_from not like", value, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromIn(List<String> values) {
            addCriterion("source_from in", values, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromNotIn(List<String> values) {
            addCriterion("source_from not in", values, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromBetween(String value1, String value2) {
            addCriterion("source_from between", value1, value2, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andSourceFromNotBetween(String value1, String value2) {
            addCriterion("source_from not between", value1, value2, "sourceFrom");
            return (Criteria) this;
        }

        public Criteria andCreditTypeIsNull() {
            addCriterion("credit_type is null");
            return (Criteria) this;
        }

        public Criteria andCreditTypeIsNotNull() {
            addCriterion("credit_type is not null");
            return (Criteria) this;
        }

        public Criteria andCreditTypeEqualTo(String value) {
            addCriterion("credit_type =", value, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeNotEqualTo(String value) {
            addCriterion("credit_type <>", value, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeGreaterThan(String value) {
            addCriterion("credit_type >", value, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeGreaterThanOrEqualTo(String value) {
            addCriterion("credit_type >=", value, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeLessThan(String value) {
            addCriterion("credit_type <", value, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeLessThanOrEqualTo(String value) {
            addCriterion("credit_type <=", value, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeLike(String value) {
            addCriterion("credit_type like", value, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeNotLike(String value) {
            addCriterion("credit_type not like", value, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeIn(List<String> values) {
            addCriterion("credit_type in", values, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeNotIn(List<String> values) {
            addCriterion("credit_type not in", values, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeBetween(String value1, String value2) {
            addCriterion("credit_type between", value1, value2, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditTypeNotBetween(String value1, String value2) {
            addCriterion("credit_type not between", value1, value2, "creditType");
            return (Criteria) this;
        }

        public Criteria andCreditNameIsNull() {
            addCriterion("credit_name is null");
            return (Criteria) this;
        }

        public Criteria andCreditNameIsNotNull() {
            addCriterion("credit_name is not null");
            return (Criteria) this;
        }

        public Criteria andCreditNameEqualTo(String value) {
            addCriterion("credit_name =", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameNotEqualTo(String value) {
            addCriterion("credit_name <>", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameGreaterThan(String value) {
            addCriterion("credit_name >", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameGreaterThanOrEqualTo(String value) {
            addCriterion("credit_name >=", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameLessThan(String value) {
            addCriterion("credit_name <", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameLessThanOrEqualTo(String value) {
            addCriterion("credit_name <=", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameLike(String value) {
            addCriterion("credit_name like", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameNotLike(String value) {
            addCriterion("credit_name not like", value, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameIn(List<String> values) {
            addCriterion("credit_name in", values, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameNotIn(List<String> values) {
            addCriterion("credit_name not in", values, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameBetween(String value1, String value2) {
            addCriterion("credit_name between", value1, value2, "creditName");
            return (Criteria) this;
        }

        public Criteria andCreditNameNotBetween(String value1, String value2) {
            addCriterion("credit_name not between", value1, value2, "creditName");
            return (Criteria) this;
        }

        public Criteria andBatchsIsNull() {
            addCriterion("batchs is null");
            return (Criteria) this;
        }

        public Criteria andBatchsIsNotNull() {
            addCriterion("batchs is not null");
            return (Criteria) this;
        }

        public Criteria andBatchsEqualTo(String value) {
            addCriterion("batchs =", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsNotEqualTo(String value) {
            addCriterion("batchs <>", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsGreaterThan(String value) {
            addCriterion("batchs >", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsGreaterThanOrEqualTo(String value) {
            addCriterion("batchs >=", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsLessThan(String value) {
            addCriterion("batchs <", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsLessThanOrEqualTo(String value) {
            addCriterion("batchs <=", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsLike(String value) {
            addCriterion("batchs like", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsNotLike(String value) {
            addCriterion("batchs not like", value, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsIn(List<String> values) {
            addCriterion("batchs in", values, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsNotIn(List<String> values) {
            addCriterion("batchs not in", values, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsBetween(String value1, String value2) {
            addCriterion("batchs between", value1, value2, "batchs");
            return (Criteria) this;
        }

        public Criteria andBatchsNotBetween(String value1, String value2) {
            addCriterion("batchs not between", value1, value2, "batchs");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderIsNull() {
            addCriterion("quantity_order is null");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderIsNotNull() {
            addCriterion("quantity_order is not null");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderEqualTo(Integer value) {
            addCriterion("quantity_order =", value, "quantityOrder");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderNotEqualTo(Integer value) {
            addCriterion("quantity_order <>", value, "quantityOrder");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderGreaterThan(Integer value) {
            addCriterion("quantity_order >", value, "quantityOrder");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderGreaterThanOrEqualTo(Integer value) {
            addCriterion("quantity_order >=", value, "quantityOrder");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderLessThan(Integer value) {
            addCriterion("quantity_order <", value, "quantityOrder");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderLessThanOrEqualTo(Integer value) {
            addCriterion("quantity_order <=", value, "quantityOrder");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderIn(List<Integer> values) {
            addCriterion("quantity_order in", values, "quantityOrder");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderNotIn(List<Integer> values) {
            addCriterion("quantity_order not in", values, "quantityOrder");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderBetween(Integer value1, Integer value2) {
            addCriterion("quantity_order between", value1, value2, "quantityOrder");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderNotBetween(Integer value1, Integer value2) {
            addCriterion("quantity_order not between", value1, value2, "quantityOrder");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderGoodsIsNull() {
            addCriterion("quantity_order_goods is null");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderGoodsIsNotNull() {
            addCriterion("quantity_order_goods is not null");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderGoodsEqualTo(Integer value) {
            addCriterion("quantity_order_goods =", value, "quantityOrderGoods");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderGoodsNotEqualTo(Integer value) {
            addCriterion("quantity_order_goods <>", value, "quantityOrderGoods");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderGoodsGreaterThan(Integer value) {
            addCriterion("quantity_order_goods >", value, "quantityOrderGoods");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderGoodsGreaterThanOrEqualTo(Integer value) {
            addCriterion("quantity_order_goods >=", value, "quantityOrderGoods");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderGoodsLessThan(Integer value) {
            addCriterion("quantity_order_goods <", value, "quantityOrderGoods");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderGoodsLessThanOrEqualTo(Integer value) {
            addCriterion("quantity_order_goods <=", value, "quantityOrderGoods");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderGoodsIn(List<Integer> values) {
            addCriterion("quantity_order_goods in", values, "quantityOrderGoods");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderGoodsNotIn(List<Integer> values) {
            addCriterion("quantity_order_goods not in", values, "quantityOrderGoods");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderGoodsBetween(Integer value1, Integer value2) {
            addCriterion("quantity_order_goods between", value1, value2, "quantityOrderGoods");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderGoodsNotBetween(Integer value1, Integer value2) {
            addCriterion("quantity_order_goods not between", value1, value2, "quantityOrderGoods");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderCreditIsNull() {
            addCriterion("quantity_order_credit is null");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderCreditIsNotNull() {
            addCriterion("quantity_order_credit is not null");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderCreditEqualTo(Integer value) {
            addCriterion("quantity_order_credit =", value, "quantityOrderCredit");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderCreditNotEqualTo(Integer value) {
            addCriterion("quantity_order_credit <>", value, "quantityOrderCredit");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderCreditGreaterThan(Integer value) {
            addCriterion("quantity_order_credit >", value, "quantityOrderCredit");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderCreditGreaterThanOrEqualTo(Integer value) {
            addCriterion("quantity_order_credit >=", value, "quantityOrderCredit");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderCreditLessThan(Integer value) {
            addCriterion("quantity_order_credit <", value, "quantityOrderCredit");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderCreditLessThanOrEqualTo(Integer value) {
            addCriterion("quantity_order_credit <=", value, "quantityOrderCredit");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderCreditIn(List<Integer> values) {
            addCriterion("quantity_order_credit in", values, "quantityOrderCredit");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderCreditNotIn(List<Integer> values) {
            addCriterion("quantity_order_credit not in", values, "quantityOrderCredit");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderCreditBetween(Integer value1, Integer value2) {
            addCriterion("quantity_order_credit between", value1, value2, "quantityOrderCredit");
            return (Criteria) this;
        }

        public Criteria andQuantityOrderCreditNotBetween(Integer value1, Integer value2) {
            addCriterion("quantity_order_credit not between", value1, value2, "quantityOrderCredit");
            return (Criteria) this;
        }

        public Criteria andAccountingAmountIsNull() {
            addCriterion("accounting_amount is null");
            return (Criteria) this;
        }

        public Criteria andAccountingAmountIsNotNull() {
            addCriterion("accounting_amount is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingAmountEqualTo(BigDecimal value) {
            addCriterion("accounting_amount =", value, "accountingAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingAmountNotEqualTo(BigDecimal value) {
            addCriterion("accounting_amount <>", value, "accountingAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingAmountGreaterThan(BigDecimal value) {
            addCriterion("accounting_amount >", value, "accountingAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("accounting_amount >=", value, "accountingAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingAmountLessThan(BigDecimal value) {
            addCriterion("accounting_amount <", value, "accountingAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("accounting_amount <=", value, "accountingAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingAmountIn(List<BigDecimal> values) {
            addCriterion("accounting_amount in", values, "accountingAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingAmountNotIn(List<BigDecimal> values) {
            addCriterion("accounting_amount not in", values, "accountingAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("accounting_amount between", value1, value2, "accountingAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("accounting_amount not between", value1, value2, "accountingAmount");
            return (Criteria) this;
        }

        public Criteria andStatisticsTotalAmountIsNull() {
            addCriterion("statistics_total_amount is null");
            return (Criteria) this;
        }

        public Criteria andStatisticsTotalAmountIsNotNull() {
            addCriterion("statistics_total_amount is not null");
            return (Criteria) this;
        }

        public Criteria andStatisticsTotalAmountEqualTo(BigDecimal value) {
            addCriterion("statistics_total_amount =", value, "statisticsTotalAmount");
            return (Criteria) this;
        }

        public Criteria andStatisticsTotalAmountNotEqualTo(BigDecimal value) {
            addCriterion("statistics_total_amount <>", value, "statisticsTotalAmount");
            return (Criteria) this;
        }

        public Criteria andStatisticsTotalAmountGreaterThan(BigDecimal value) {
            addCriterion("statistics_total_amount >", value, "statisticsTotalAmount");
            return (Criteria) this;
        }

        public Criteria andStatisticsTotalAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("statistics_total_amount >=", value, "statisticsTotalAmount");
            return (Criteria) this;
        }

        public Criteria andStatisticsTotalAmountLessThan(BigDecimal value) {
            addCriterion("statistics_total_amount <", value, "statisticsTotalAmount");
            return (Criteria) this;
        }

        public Criteria andStatisticsTotalAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("statistics_total_amount <=", value, "statisticsTotalAmount");
            return (Criteria) this;
        }

        public Criteria andStatisticsTotalAmountIn(List<BigDecimal> values) {
            addCriterion("statistics_total_amount in", values, "statisticsTotalAmount");
            return (Criteria) this;
        }

        public Criteria andStatisticsTotalAmountNotIn(List<BigDecimal> values) {
            addCriterion("statistics_total_amount not in", values, "statisticsTotalAmount");
            return (Criteria) this;
        }

        public Criteria andStatisticsTotalAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("statistics_total_amount between", value1, value2, "statisticsTotalAmount");
            return (Criteria) this;
        }

        public Criteria andStatisticsTotalAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("statistics_total_amount not between", value1, value2, "statisticsTotalAmount");
            return (Criteria) this;
        }

        public Criteria andUnAccountingAmountIsNull() {
            addCriterion("un_accounting_amount is null");
            return (Criteria) this;
        }

        public Criteria andUnAccountingAmountIsNotNull() {
            addCriterion("un_accounting_amount is not null");
            return (Criteria) this;
        }

        public Criteria andUnAccountingAmountEqualTo(BigDecimal value) {
            addCriterion("un_accounting_amount =", value, "unAccountingAmount");
            return (Criteria) this;
        }

        public Criteria andUnAccountingAmountNotEqualTo(BigDecimal value) {
            addCriterion("un_accounting_amount <>", value, "unAccountingAmount");
            return (Criteria) this;
        }

        public Criteria andUnAccountingAmountGreaterThan(BigDecimal value) {
            addCriterion("un_accounting_amount >", value, "unAccountingAmount");
            return (Criteria) this;
        }

        public Criteria andUnAccountingAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("un_accounting_amount >=", value, "unAccountingAmount");
            return (Criteria) this;
        }

        public Criteria andUnAccountingAmountLessThan(BigDecimal value) {
            addCriterion("un_accounting_amount <", value, "unAccountingAmount");
            return (Criteria) this;
        }

        public Criteria andUnAccountingAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("un_accounting_amount <=", value, "unAccountingAmount");
            return (Criteria) this;
        }

        public Criteria andUnAccountingAmountIn(List<BigDecimal> values) {
            addCriterion("un_accounting_amount in", values, "unAccountingAmount");
            return (Criteria) this;
        }

        public Criteria andUnAccountingAmountNotIn(List<BigDecimal> values) {
            addCriterion("un_accounting_amount not in", values, "unAccountingAmount");
            return (Criteria) this;
        }

        public Criteria andUnAccountingAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("un_accounting_amount between", value1, value2, "unAccountingAmount");
            return (Criteria) this;
        }

        public Criteria andUnAccountingAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("un_accounting_amount not between", value1, value2, "unAccountingAmount");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusIsNull() {
            addCriterion("accounting_status is null");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusIsNotNull() {
            addCriterion("accounting_status is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusEqualTo(Integer value) {
            addCriterion("accounting_status =", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusNotEqualTo(Integer value) {
            addCriterion("accounting_status <>", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusGreaterThan(Integer value) {
            addCriterion("accounting_status >", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("accounting_status >=", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusLessThan(Integer value) {
            addCriterion("accounting_status <", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusLessThanOrEqualTo(Integer value) {
            addCriterion("accounting_status <=", value, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusIn(List<Integer> values) {
            addCriterion("accounting_status in", values, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusNotIn(List<Integer> values) {
            addCriterion("accounting_status not in", values, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusBetween(Integer value1, Integer value2) {
            addCriterion("accounting_status between", value1, value2, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andAccountingStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("accounting_status not between", value1, value2, "accountingStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIsNull() {
            addCriterion("invoice_type is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIsNotNull() {
            addCriterion("invoice_type is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeEqualTo(Integer value) {
            addCriterion("invoice_type =", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotEqualTo(Integer value) {
            addCriterion("invoice_type <>", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeGreaterThan(Integer value) {
            addCriterion("invoice_type >", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_type >=", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeLessThan(Integer value) {
            addCriterion("invoice_type <", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_type <=", value, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeIn(List<Integer> values) {
            addCriterion("invoice_type in", values, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotIn(List<Integer> values) {
            addCriterion("invoice_type not in", values, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeBetween(Integer value1, Integer value2) {
            addCriterion("invoice_type between", value1, value2, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_type not between", value1, value2, "invoiceType");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusIsNull() {
            addCriterion("invoice_status is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusIsNotNull() {
            addCriterion("invoice_status is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusEqualTo(Integer value) {
            addCriterion("invoice_status =", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusNotEqualTo(Integer value) {
            addCriterion("invoice_status <>", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusGreaterThan(Integer value) {
            addCriterion("invoice_status >", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("invoice_status >=", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusLessThan(Integer value) {
            addCriterion("invoice_status <", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusLessThanOrEqualTo(Integer value) {
            addCriterion("invoice_status <=", value, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusIn(List<Integer> values) {
            addCriterion("invoice_status in", values, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusNotIn(List<Integer> values) {
            addCriterion("invoice_status not in", values, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusBetween(Integer value1, Integer value2) {
            addCriterion("invoice_status between", value1, value2, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("invoice_status not between", value1, value2, "invoiceStatus");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameIsNull() {
            addCriterion("invoice_company_name is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameIsNotNull() {
            addCriterion("invoice_company_name is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameEqualTo(String value) {
            addCriterion("invoice_company_name =", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameNotEqualTo(String value) {
            addCriterion("invoice_company_name <>", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameGreaterThan(String value) {
            addCriterion("invoice_company_name >", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_company_name >=", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameLessThan(String value) {
            addCriterion("invoice_company_name <", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameLessThanOrEqualTo(String value) {
            addCriterion("invoice_company_name <=", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameLike(String value) {
            addCriterion("invoice_company_name like", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameNotLike(String value) {
            addCriterion("invoice_company_name not like", value, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameIn(List<String> values) {
            addCriterion("invoice_company_name in", values, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameNotIn(List<String> values) {
            addCriterion("invoice_company_name not in", values, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameBetween(String value1, String value2) {
            addCriterion("invoice_company_name between", value1, value2, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceCompanyNameNotBetween(String value1, String value2) {
            addCriterion("invoice_company_name not between", value1, value2, "invoiceCompanyName");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeIsNull() {
            addCriterion("invoice_taxpayers_i_d_code is null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeIsNotNull() {
            addCriterion("invoice_taxpayers_i_d_code is not null");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeEqualTo(String value) {
            addCriterion("invoice_taxpayers_i_d_code =", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeNotEqualTo(String value) {
            addCriterion("invoice_taxpayers_i_d_code <>", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeGreaterThan(String value) {
            addCriterion("invoice_taxpayers_i_d_code >", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeGreaterThanOrEqualTo(String value) {
            addCriterion("invoice_taxpayers_i_d_code >=", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeLessThan(String value) {
            addCriterion("invoice_taxpayers_i_d_code <", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeLessThanOrEqualTo(String value) {
            addCriterion("invoice_taxpayers_i_d_code <=", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeLike(String value) {
            addCriterion("invoice_taxpayers_i_d_code like", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeNotLike(String value) {
            addCriterion("invoice_taxpayers_i_d_code not like", value, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeIn(List<String> values) {
            addCriterion("invoice_taxpayers_i_d_code in", values, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeNotIn(List<String> values) {
            addCriterion("invoice_taxpayers_i_d_code not in", values, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeBetween(String value1, String value2) {
            addCriterion("invoice_taxpayers_i_d_code between", value1, value2, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andInvoiceTaxpayersIDCodeNotBetween(String value1, String value2) {
            addCriterion("invoice_taxpayers_i_d_code not between", value1, value2, "invoiceTaxpayersIDCode");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIsNull() {
            addCriterion("enterprise_id is null");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIsNotNull() {
            addCriterion("enterprise_id is not null");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdEqualTo(Long value) {
            addCriterion("enterprise_id =", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotEqualTo(Long value) {
            addCriterion("enterprise_id <>", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdGreaterThan(Long value) {
            addCriterion("enterprise_id >", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdGreaterThanOrEqualTo(Long value) {
            addCriterion("enterprise_id >=", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdLessThan(Long value) {
            addCriterion("enterprise_id <", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdLessThanOrEqualTo(Long value) {
            addCriterion("enterprise_id <=", value, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdIn(List<Long> values) {
            addCriterion("enterprise_id in", values, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotIn(List<Long> values) {
            addCriterion("enterprise_id not in", values, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdBetween(Long value1, Long value2) {
            addCriterion("enterprise_id between", value1, value2, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andEnterpriseIdNotBetween(Long value1, Long value2) {
            addCriterion("enterprise_id not between", value1, value2, "enterpriseId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdIsNull() {
            addCriterion("purchase_user_id is null");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdIsNotNull() {
            addCriterion("purchase_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdEqualTo(Long value) {
            addCriterion("purchase_user_id =", value, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdNotEqualTo(Long value) {
            addCriterion("purchase_user_id <>", value, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdGreaterThan(Long value) {
            addCriterion("purchase_user_id >", value, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("purchase_user_id >=", value, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdLessThan(Long value) {
            addCriterion("purchase_user_id <", value, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdLessThanOrEqualTo(Long value) {
            addCriterion("purchase_user_id <=", value, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdIn(List<Long> values) {
            addCriterion("purchase_user_id in", values, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdNotIn(List<Long> values) {
            addCriterion("purchase_user_id not in", values, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdBetween(Long value1, Long value2) {
            addCriterion("purchase_user_id between", value1, value2, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserIdNotBetween(Long value1, Long value2) {
            addCriterion("purchase_user_id not between", value1, value2, "purchaseUserId");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameIsNull() {
            addCriterion("purchase_user_name is null");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameIsNotNull() {
            addCriterion("purchase_user_name is not null");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameEqualTo(String value) {
            addCriterion("purchase_user_name =", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameNotEqualTo(String value) {
            addCriterion("purchase_user_name <>", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameGreaterThan(String value) {
            addCriterion("purchase_user_name >", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameGreaterThanOrEqualTo(String value) {
            addCriterion("purchase_user_name >=", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameLessThan(String value) {
            addCriterion("purchase_user_name <", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameLessThanOrEqualTo(String value) {
            addCriterion("purchase_user_name <=", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameLike(String value) {
            addCriterion("purchase_user_name like", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameNotLike(String value) {
            addCriterion("purchase_user_name not like", value, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameIn(List<String> values) {
            addCriterion("purchase_user_name in", values, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameNotIn(List<String> values) {
            addCriterion("purchase_user_name not in", values, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameBetween(String value1, String value2) {
            addCriterion("purchase_user_name between", value1, value2, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchaseUserNameNotBetween(String value1, String value2) {
            addCriterion("purchase_user_name not between", value1, value2, "purchaseUserName");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneIsNull() {
            addCriterion("purchase_phone is null");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneIsNotNull() {
            addCriterion("purchase_phone is not null");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneEqualTo(String value) {
            addCriterion("purchase_phone =", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneNotEqualTo(String value) {
            addCriterion("purchase_phone <>", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneGreaterThan(String value) {
            addCriterion("purchase_phone >", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneGreaterThanOrEqualTo(String value) {
            addCriterion("purchase_phone >=", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneLessThan(String value) {
            addCriterion("purchase_phone <", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneLessThanOrEqualTo(String value) {
            addCriterion("purchase_phone <=", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneLike(String value) {
            addCriterion("purchase_phone like", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneNotLike(String value) {
            addCriterion("purchase_phone not like", value, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneIn(List<String> values) {
            addCriterion("purchase_phone in", values, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneNotIn(List<String> values) {
            addCriterion("purchase_phone not in", values, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneBetween(String value1, String value2) {
            addCriterion("purchase_phone between", value1, value2, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchasePhoneNotBetween(String value1, String value2) {
            addCriterion("purchase_phone not between", value1, value2, "purchasePhone");
            return (Criteria) this;
        }

        public Criteria andPurchaseAddressIsNull() {
            addCriterion("purchase_address is null");
            return (Criteria) this;
        }

        public Criteria andPurchaseAddressIsNotNull() {
            addCriterion("purchase_address is not null");
            return (Criteria) this;
        }

        public Criteria andPurchaseAddressEqualTo(String value) {
            addCriterion("purchase_address =", value, "purchaseAddress");
            return (Criteria) this;
        }

        public Criteria andPurchaseAddressNotEqualTo(String value) {
            addCriterion("purchase_address <>", value, "purchaseAddress");
            return (Criteria) this;
        }

        public Criteria andPurchaseAddressGreaterThan(String value) {
            addCriterion("purchase_address >", value, "purchaseAddress");
            return (Criteria) this;
        }

        public Criteria andPurchaseAddressGreaterThanOrEqualTo(String value) {
            addCriterion("purchase_address >=", value, "purchaseAddress");
            return (Criteria) this;
        }

        public Criteria andPurchaseAddressLessThan(String value) {
            addCriterion("purchase_address <", value, "purchaseAddress");
            return (Criteria) this;
        }

        public Criteria andPurchaseAddressLessThanOrEqualTo(String value) {
            addCriterion("purchase_address <=", value, "purchaseAddress");
            return (Criteria) this;
        }

        public Criteria andPurchaseAddressLike(String value) {
            addCriterion("purchase_address like", value, "purchaseAddress");
            return (Criteria) this;
        }

        public Criteria andPurchaseAddressNotLike(String value) {
            addCriterion("purchase_address not like", value, "purchaseAddress");
            return (Criteria) this;
        }

        public Criteria andPurchaseAddressIn(List<String> values) {
            addCriterion("purchase_address in", values, "purchaseAddress");
            return (Criteria) this;
        }

        public Criteria andPurchaseAddressNotIn(List<String> values) {
            addCriterion("purchase_address not in", values, "purchaseAddress");
            return (Criteria) this;
        }

        public Criteria andPurchaseAddressBetween(String value1, String value2) {
            addCriterion("purchase_address between", value1, value2, "purchaseAddress");
            return (Criteria) this;
        }

        public Criteria andPurchaseAddressNotBetween(String value1, String value2) {
            addCriterion("purchase_address not between", value1, value2, "purchaseAddress");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailIsNull() {
            addCriterion("is_send_email is null");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailIsNotNull() {
            addCriterion("is_send_email is not null");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailEqualTo(Integer value) {
            addCriterion("is_send_email =", value, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailNotEqualTo(Integer value) {
            addCriterion("is_send_email <>", value, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailGreaterThan(Integer value) {
            addCriterion("is_send_email >", value, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailGreaterThanOrEqualTo(Integer value) {
            addCriterion("is_send_email >=", value, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailLessThan(Integer value) {
            addCriterion("is_send_email <", value, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailLessThanOrEqualTo(Integer value) {
            addCriterion("is_send_email <=", value, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailIn(List<Integer> values) {
            addCriterion("is_send_email in", values, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailNotIn(List<Integer> values) {
            addCriterion("is_send_email not in", values, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailBetween(Integer value1, Integer value2) {
            addCriterion("is_send_email between", value1, value2, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andIsSendEmailNotBetween(Integer value1, Integer value2) {
            addCriterion("is_send_email not between", value1, value2, "isSendEmail");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeIsNull() {
            addCriterion("send_email_time is null");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeIsNotNull() {
            addCriterion("send_email_time is not null");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeEqualTo(Date value) {
            addCriterion("send_email_time =", value, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeNotEqualTo(Date value) {
            addCriterion("send_email_time <>", value, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeGreaterThan(Date value) {
            addCriterion("send_email_time >", value, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("send_email_time >=", value, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeLessThan(Date value) {
            addCriterion("send_email_time <", value, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeLessThanOrEqualTo(Date value) {
            addCriterion("send_email_time <=", value, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeIn(List<Date> values) {
            addCriterion("send_email_time in", values, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeNotIn(List<Date> values) {
            addCriterion("send_email_time not in", values, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeBetween(Date value1, Date value2) {
            addCriterion("send_email_time between", value1, value2, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andSendEmailTimeNotBetween(Date value1, Date value2) {
            addCriterion("send_email_time not between", value1, value2, "sendEmailTime");
            return (Criteria) this;
        }

        public Criteria andDateTypeIsNull() {
            addCriterion("date_type is null");
            return (Criteria) this;
        }

        public Criteria andDateTypeIsNotNull() {
            addCriterion("date_type is not null");
            return (Criteria) this;
        }

        public Criteria andDateTypeEqualTo(Integer value) {
            addCriterion("date_type =", value, "dateType");
            return (Criteria) this;
        }

        public Criteria andDateTypeNotEqualTo(Integer value) {
            addCriterion("date_type <>", value, "dateType");
            return (Criteria) this;
        }

        public Criteria andDateTypeGreaterThan(Integer value) {
            addCriterion("date_type >", value, "dateType");
            return (Criteria) this;
        }

        public Criteria andDateTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("date_type >=", value, "dateType");
            return (Criteria) this;
        }

        public Criteria andDateTypeLessThan(Integer value) {
            addCriterion("date_type <", value, "dateType");
            return (Criteria) this;
        }

        public Criteria andDateTypeLessThanOrEqualTo(Integer value) {
            addCriterion("date_type <=", value, "dateType");
            return (Criteria) this;
        }

        public Criteria andDateTypeIn(List<Integer> values) {
            addCriterion("date_type in", values, "dateType");
            return (Criteria) this;
        }

        public Criteria andDateTypeNotIn(List<Integer> values) {
            addCriterion("date_type not in", values, "dateType");
            return (Criteria) this;
        }

        public Criteria andDateTypeBetween(Integer value1, Integer value2) {
            addCriterion("date_type between", value1, value2, "dateType");
            return (Criteria) this;
        }

        public Criteria andDateTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("date_type not between", value1, value2, "dateType");
            return (Criteria) this;
        }

        public Criteria andStartTimeIsNull() {
            addCriterion("start_time is null");
            return (Criteria) this;
        }

        public Criteria andStartTimeIsNotNull() {
            addCriterion("start_time is not null");
            return (Criteria) this;
        }

        public Criteria andStartTimeEqualTo(Date value) {
            addCriterion("start_time =", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotEqualTo(Date value) {
            addCriterion("start_time <>", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeGreaterThan(Date value) {
            addCriterion("start_time >", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("start_time >=", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeLessThan(Date value) {
            addCriterion("start_time <", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeLessThanOrEqualTo(Date value) {
            addCriterion("start_time <=", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeIn(List<Date> values) {
            addCriterion("start_time in", values, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotIn(List<Date> values) {
            addCriterion("start_time not in", values, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeBetween(Date value1, Date value2) {
            addCriterion("start_time between", value1, value2, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotBetween(Date value1, Date value2) {
            addCriterion("start_time not between", value1, value2, "startTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNull() {
            addCriterion("end_time is null");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNotNull() {
            addCriterion("end_time is not null");
            return (Criteria) this;
        }

        public Criteria andEndTimeEqualTo(Date value) {
            addCriterion("end_time =", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotEqualTo(Date value) {
            addCriterion("end_time <>", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThan(Date value) {
            addCriterion("end_time >", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("end_time >=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThan(Date value) {
            addCriterion("end_time <", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThanOrEqualTo(Date value) {
            addCriterion("end_time <=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIn(List<Date> values) {
            addCriterion("end_time in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotIn(List<Date> values) {
            addCriterion("end_time not in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeBetween(Date value1, Date value2) {
            addCriterion("end_time between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotBetween(Date value1, Date value2) {
            addCriterion("end_time not between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusIsNull() {
            addCriterion("back_account_status is null");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusIsNotNull() {
            addCriterion("back_account_status is not null");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusEqualTo(Integer value) {
            addCriterion("back_account_status =", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusNotEqualTo(Integer value) {
            addCriterion("back_account_status <>", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusGreaterThan(Integer value) {
            addCriterion("back_account_status >", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("back_account_status >=", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusLessThan(Integer value) {
            addCriterion("back_account_status <", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusLessThanOrEqualTo(Integer value) {
            addCriterion("back_account_status <=", value, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusIn(List<Integer> values) {
            addCriterion("back_account_status in", values, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusNotIn(List<Integer> values) {
            addCriterion("back_account_status not in", values, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusBetween(Integer value1, Integer value2) {
            addCriterion("back_account_status between", value1, value2, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBackAccountStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("back_account_status not between", value1, value2, "backAccountStatus");
            return (Criteria) this;
        }

        public Criteria andBankInfoIdIsNull() {
            addCriterion("bank_info_id is null");
            return (Criteria) this;
        }

        public Criteria andBankInfoIdIsNotNull() {
            addCriterion("bank_info_id is not null");
            return (Criteria) this;
        }

        public Criteria andBankInfoIdEqualTo(Long value) {
            addCriterion("bank_info_id =", value, "bankInfoId");
            return (Criteria) this;
        }

        public Criteria andBankInfoIdNotEqualTo(Long value) {
            addCriterion("bank_info_id <>", value, "bankInfoId");
            return (Criteria) this;
        }

        public Criteria andBankInfoIdGreaterThan(Long value) {
            addCriterion("bank_info_id >", value, "bankInfoId");
            return (Criteria) this;
        }

        public Criteria andBankInfoIdGreaterThanOrEqualTo(Long value) {
            addCriterion("bank_info_id >=", value, "bankInfoId");
            return (Criteria) this;
        }

        public Criteria andBankInfoIdLessThan(Long value) {
            addCriterion("bank_info_id <", value, "bankInfoId");
            return (Criteria) this;
        }

        public Criteria andBankInfoIdLessThanOrEqualTo(Long value) {
            addCriterion("bank_info_id <=", value, "bankInfoId");
            return (Criteria) this;
        }

        public Criteria andBankInfoIdIn(List<Long> values) {
            addCriterion("bank_info_id in", values, "bankInfoId");
            return (Criteria) this;
        }

        public Criteria andBankInfoIdNotIn(List<Long> values) {
            addCriterion("bank_info_id not in", values, "bankInfoId");
            return (Criteria) this;
        }

        public Criteria andBankInfoIdBetween(Long value1, Long value2) {
            addCriterion("bank_info_id between", value1, value2, "bankInfoId");
            return (Criteria) this;
        }

        public Criteria andBankInfoIdNotBetween(Long value1, Long value2) {
            addCriterion("bank_info_id not between", value1, value2, "bankInfoId");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andPayTypeIsNull() {
            addCriterion("pay_type is null");
            return (Criteria) this;
        }

        public Criteria andPayTypeIsNotNull() {
            addCriterion("pay_type is not null");
            return (Criteria) this;
        }

        public Criteria andPayTypeEqualTo(Integer value) {
            addCriterion("pay_type =", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotEqualTo(Integer value) {
            addCriterion("pay_type <>", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeGreaterThan(Integer value) {
            addCriterion("pay_type >", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("pay_type >=", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeLessThan(Integer value) {
            addCriterion("pay_type <", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeLessThanOrEqualTo(Integer value) {
            addCriterion("pay_type <=", value, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeIn(List<Integer> values) {
            addCriterion("pay_type in", values, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotIn(List<Integer> values) {
            addCriterion("pay_type not in", values, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeBetween(Integer value1, Integer value2) {
            addCriterion("pay_type between", value1, value2, "payType");
            return (Criteria) this;
        }

        public Criteria andPayTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("pay_type not between", value1, value2, "payType");
            return (Criteria) this;
        }

        public Criteria andPayStatusIsNull() {
            addCriterion("pay_status is null");
            return (Criteria) this;
        }

        public Criteria andPayStatusIsNotNull() {
            addCriterion("pay_status is not null");
            return (Criteria) this;
        }

        public Criteria andPayStatusEqualTo(Integer value) {
            addCriterion("pay_status =", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusNotEqualTo(Integer value) {
            addCriterion("pay_status <>", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusGreaterThan(Integer value) {
            addCriterion("pay_status >", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("pay_status >=", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusLessThan(Integer value) {
            addCriterion("pay_status <", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusLessThanOrEqualTo(Integer value) {
            addCriterion("pay_status <=", value, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusIn(List<Integer> values) {
            addCriterion("pay_status in", values, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusNotIn(List<Integer> values) {
            addCriterion("pay_status not in", values, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusBetween(Integer value1, Integer value2) {
            addCriterion("pay_status between", value1, value2, "payStatus");
            return (Criteria) this;
        }

        public Criteria andPayStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("pay_status not between", value1, value2, "payStatus");
            return (Criteria) this;
        }

        public Criteria andWxQrcodeImgUrlIsNull() {
            addCriterion("wx_qrcode_img_url is null");
            return (Criteria) this;
        }

        public Criteria andWxQrcodeImgUrlIsNotNull() {
            addCriterion("wx_qrcode_img_url is not null");
            return (Criteria) this;
        }

        public Criteria andWxQrcodeImgUrlEqualTo(String value) {
            addCriterion("wx_qrcode_img_url =", value, "wxQrcodeImgUrl");
            return (Criteria) this;
        }

        public Criteria andWxQrcodeImgUrlNotEqualTo(String value) {
            addCriterion("wx_qrcode_img_url <>", value, "wxQrcodeImgUrl");
            return (Criteria) this;
        }

        public Criteria andWxQrcodeImgUrlGreaterThan(String value) {
            addCriterion("wx_qrcode_img_url >", value, "wxQrcodeImgUrl");
            return (Criteria) this;
        }

        public Criteria andWxQrcodeImgUrlGreaterThanOrEqualTo(String value) {
            addCriterion("wx_qrcode_img_url >=", value, "wxQrcodeImgUrl");
            return (Criteria) this;
        }

        public Criteria andWxQrcodeImgUrlLessThan(String value) {
            addCriterion("wx_qrcode_img_url <", value, "wxQrcodeImgUrl");
            return (Criteria) this;
        }

        public Criteria andWxQrcodeImgUrlLessThanOrEqualTo(String value) {
            addCriterion("wx_qrcode_img_url <=", value, "wxQrcodeImgUrl");
            return (Criteria) this;
        }

        public Criteria andWxQrcodeImgUrlLike(String value) {
            addCriterion("wx_qrcode_img_url like", value, "wxQrcodeImgUrl");
            return (Criteria) this;
        }

        public Criteria andWxQrcodeImgUrlNotLike(String value) {
            addCriterion("wx_qrcode_img_url not like", value, "wxQrcodeImgUrl");
            return (Criteria) this;
        }

        public Criteria andWxQrcodeImgUrlIn(List<String> values) {
            addCriterion("wx_qrcode_img_url in", values, "wxQrcodeImgUrl");
            return (Criteria) this;
        }

        public Criteria andWxQrcodeImgUrlNotIn(List<String> values) {
            addCriterion("wx_qrcode_img_url not in", values, "wxQrcodeImgUrl");
            return (Criteria) this;
        }

        public Criteria andWxQrcodeImgUrlBetween(String value1, String value2) {
            addCriterion("wx_qrcode_img_url between", value1, value2, "wxQrcodeImgUrl");
            return (Criteria) this;
        }

        public Criteria andWxQrcodeImgUrlNotBetween(String value1, String value2) {
            addCriterion("wx_qrcode_img_url not between", value1, value2, "wxQrcodeImgUrl");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNull() {
            addCriterion("deleted is null");
            return (Criteria) this;
        }

        public Criteria andDeletedIsNotNull() {
            addCriterion("deleted is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedEqualTo(Integer value) {
            addCriterion("deleted =", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotEqualTo(Integer value) {
            addCriterion("deleted <>", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThan(Integer value) {
            addCriterion("deleted >", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedGreaterThanOrEqualTo(Integer value) {
            addCriterion("deleted >=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThan(Integer value) {
            addCriterion("deleted <", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedLessThanOrEqualTo(Integer value) {
            addCriterion("deleted <=", value, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedIn(List<Integer> values) {
            addCriterion("deleted in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotIn(List<Integer> values) {
            addCriterion("deleted not in", values, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedBetween(Integer value1, Integer value2) {
            addCriterion("deleted between", value1, value2, "deleted");
            return (Criteria) this;
        }

        public Criteria andDeletedNotBetween(Integer value1, Integer value2) {
            addCriterion("deleted not between", value1, value2, "deleted");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkIsNull() {
            addCriterion("need_revise_mark is null");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkIsNotNull() {
            addCriterion("need_revise_mark is not null");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkEqualTo(Integer value) {
            addCriterion("need_revise_mark =", value, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkNotEqualTo(Integer value) {
            addCriterion("need_revise_mark <>", value, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkGreaterThan(Integer value) {
            addCriterion("need_revise_mark >", value, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkGreaterThanOrEqualTo(Integer value) {
            addCriterion("need_revise_mark >=", value, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkLessThan(Integer value) {
            addCriterion("need_revise_mark <", value, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkLessThanOrEqualTo(Integer value) {
            addCriterion("need_revise_mark <=", value, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkIn(List<Integer> values) {
            addCriterion("need_revise_mark in", values, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkNotIn(List<Integer> values) {
            addCriterion("need_revise_mark not in", values, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkBetween(Integer value1, Integer value2) {
            addCriterion("need_revise_mark between", value1, value2, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andNeedReviseMarkNotBetween(Integer value1, Integer value2) {
            addCriterion("need_revise_mark not between", value1, value2, "needReviseMark");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIdIsNull() {
            addCriterion("express_company_id is null");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIdIsNotNull() {
            addCriterion("express_company_id is not null");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIdEqualTo(Long value) {
            addCriterion("express_company_id =", value, "expressCompanyId");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIdNotEqualTo(Long value) {
            addCriterion("express_company_id <>", value, "expressCompanyId");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIdGreaterThan(Long value) {
            addCriterion("express_company_id >", value, "expressCompanyId");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIdGreaterThanOrEqualTo(Long value) {
            addCriterion("express_company_id >=", value, "expressCompanyId");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIdLessThan(Long value) {
            addCriterion("express_company_id <", value, "expressCompanyId");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIdLessThanOrEqualTo(Long value) {
            addCriterion("express_company_id <=", value, "expressCompanyId");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIdIn(List<Long> values) {
            addCriterion("express_company_id in", values, "expressCompanyId");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIdNotIn(List<Long> values) {
            addCriterion("express_company_id not in", values, "expressCompanyId");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIdBetween(Long value1, Long value2) {
            addCriterion("express_company_id between", value1, value2, "expressCompanyId");
            return (Criteria) this;
        }

        public Criteria andExpressCompanyIdNotBetween(Long value1, Long value2) {
            addCriterion("express_company_id not between", value1, value2, "expressCompanyId");
            return (Criteria) this;
        }

        public Criteria andExpressNoIsNull() {
            addCriterion("express_no is null");
            return (Criteria) this;
        }

        public Criteria andExpressNoIsNotNull() {
            addCriterion("express_no is not null");
            return (Criteria) this;
        }

        public Criteria andExpressNoEqualTo(String value) {
            addCriterion("express_no =", value, "expressNo");
            return (Criteria) this;
        }

        public Criteria andExpressNoNotEqualTo(String value) {
            addCriterion("express_no <>", value, "expressNo");
            return (Criteria) this;
        }

        public Criteria andExpressNoGreaterThan(String value) {
            addCriterion("express_no >", value, "expressNo");
            return (Criteria) this;
        }

        public Criteria andExpressNoGreaterThanOrEqualTo(String value) {
            addCriterion("express_no >=", value, "expressNo");
            return (Criteria) this;
        }

        public Criteria andExpressNoLessThan(String value) {
            addCriterion("express_no <", value, "expressNo");
            return (Criteria) this;
        }

        public Criteria andExpressNoLessThanOrEqualTo(String value) {
            addCriterion("express_no <=", value, "expressNo");
            return (Criteria) this;
        }

        public Criteria andExpressNoLike(String value) {
            addCriterion("express_no like", value, "expressNo");
            return (Criteria) this;
        }

        public Criteria andExpressNoNotLike(String value) {
            addCriterion("express_no not like", value, "expressNo");
            return (Criteria) this;
        }

        public Criteria andExpressNoIn(List<String> values) {
            addCriterion("express_no in", values, "expressNo");
            return (Criteria) this;
        }

        public Criteria andExpressNoNotIn(List<String> values) {
            addCriterion("express_no not in", values, "expressNo");
            return (Criteria) this;
        }

        public Criteria andExpressNoBetween(String value1, String value2) {
            addCriterion("express_no between", value1, value2, "expressNo");
            return (Criteria) this;
        }

        public Criteria andExpressNoNotBetween(String value1, String value2) {
            addCriterion("express_no not between", value1, value2, "expressNo");
            return (Criteria) this;
        }

        public Criteria andAttachmentUploadFilesUidsIsNull() {
            addCriterion("attachment_upload_files_uids is null");
            return (Criteria) this;
        }

        public Criteria andAttachmentUploadFilesUidsIsNotNull() {
            addCriterion("attachment_upload_files_uids is not null");
            return (Criteria) this;
        }

        public Criteria andAttachmentUploadFilesUidsEqualTo(String value) {
            addCriterion("attachment_upload_files_uids =", value, "attachmentUploadFilesUids");
            return (Criteria) this;
        }

        public Criteria andAttachmentUploadFilesUidsNotEqualTo(String value) {
            addCriterion("attachment_upload_files_uids <>", value, "attachmentUploadFilesUids");
            return (Criteria) this;
        }

        public Criteria andAttachmentUploadFilesUidsGreaterThan(String value) {
            addCriterion("attachment_upload_files_uids >", value, "attachmentUploadFilesUids");
            return (Criteria) this;
        }

        public Criteria andAttachmentUploadFilesUidsGreaterThanOrEqualTo(String value) {
            addCriterion("attachment_upload_files_uids >=", value, "attachmentUploadFilesUids");
            return (Criteria) this;
        }

        public Criteria andAttachmentUploadFilesUidsLessThan(String value) {
            addCriterion("attachment_upload_files_uids <", value, "attachmentUploadFilesUids");
            return (Criteria) this;
        }

        public Criteria andAttachmentUploadFilesUidsLessThanOrEqualTo(String value) {
            addCriterion("attachment_upload_files_uids <=", value, "attachmentUploadFilesUids");
            return (Criteria) this;
        }

        public Criteria andAttachmentUploadFilesUidsLike(String value) {
            addCriterion("attachment_upload_files_uids like", value, "attachmentUploadFilesUids");
            return (Criteria) this;
        }

        public Criteria andAttachmentUploadFilesUidsNotLike(String value) {
            addCriterion("attachment_upload_files_uids not like", value, "attachmentUploadFilesUids");
            return (Criteria) this;
        }

        public Criteria andAttachmentUploadFilesUidsIn(List<String> values) {
            addCriterion("attachment_upload_files_uids in", values, "attachmentUploadFilesUids");
            return (Criteria) this;
        }

        public Criteria andAttachmentUploadFilesUidsNotIn(List<String> values) {
            addCriterion("attachment_upload_files_uids not in", values, "attachmentUploadFilesUids");
            return (Criteria) this;
        }

        public Criteria andAttachmentUploadFilesUidsBetween(String value1, String value2) {
            addCriterion("attachment_upload_files_uids between", value1, value2, "attachmentUploadFilesUids");
            return (Criteria) this;
        }

        public Criteria andAttachmentUploadFilesUidsNotBetween(String value1, String value2) {
            addCriterion("attachment_upload_files_uids not between", value1, value2, "attachmentUploadFilesUids");
            return (Criteria) this;
        }
    }

    /**
    accounting_score_customer
     *
     * @mbg.generated do_not_delete_during_merge Fri May 13 14:03:15 CST 2022
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
    accounting_score_customer
     *
     * @mbg.generated Fri May 13 14:03:15 CST 2022
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}